% plot qg results as contour plots of stream function and vorticity
clear all; close all

% compile and run the fortran program: use -fbounds-check for initial
% debugging:
%! f77 -O3 qg.f poisson.f -o Output/a.out
%! Output/a.out

% plot results:

load Output/output.dat;
% size of arrays (asumed square):
M=length(output(1,:));
% number of time steps at which psi and zeta were printed into output file:
NTIMES=length(output(:,1))/(2*M);
% normalize stream function by this factor before plotting:
Sv=1.0e0;

for i=1:NTIMES
  figure
  
  % plot stream function:
  array=output((2*i-2)*M+1:(2*i-1)*M,:)'/Sv;
  axes('position',[0.1,0.1,0.35,0.35])    % [left, bottom, width, height]
  [c,h]=contourf(array); clabel(c,h); colorbar;
  % h=image(array); set(h,'CDataMapping','scaled'); colorbar
  title('stream function')
  
  % plot vorticity:
  array=output((2*i-1)*M+1:(2*i-0)*M,:)';
  axes('position',[0.6,0.1,0.35,0.35])    % [left, bottom, width, height]
  [c,h]=contourf(array); clabel(c,h); colorbar;
  % h=image(array); set(h,'CDataMapping','scaled'); colorbar
  title('vorticity')
end
